Note: this module is only compatible with Linux 2.4 kernels and therefore will eventually become obsolete. You are encouraged to use the diskstats module instead.

This is a view of the partitions and/or disks on a Linux machine, with statistics on read and write operations. It requires the per partition statistics in /proc/partitions feature to be enabled in the running kernel (that option is available with the 2.4.20 kernel version and above).

Note: see also the disks module for displaying more information on the disks themselves, and the mounts module to display the mounted file systems.

The initial table columns are:

- partition or disk name (partitions end by a number)
- size in megabytes (with first decimal below 100 megabytes, rounded above)
- number of kilobytes read, per second, averaged over the last poll period
- number of kilobytes written, per second, averaged over the last poll period
- number of operations, kilobytes read or written, per second, averaged over the last poll period
- read duration, number of milliseconds per read operation, averaged over the last poll period
- write duration, number of milliseconds per write operation, averaged over the last poll period
- average queueing timer per operation, in milliseconds, for the last poll period

By default, only the partition entries are displayed, but that can be tuned using the options below.

Module options:

- -a (--all)
  Display both disk (such as hda, sdb, ...) and partition (such as hda2, sdb1, ...) entries (as shown in the screen shot above). Note: this option has a higher priority than the -d (--disks) option.
- -d (--disks)
  Only display disk entries (with names such as hda, sdb, ...).
- -r (--remote) [[rsh|ssh]://][user@]host
  Remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to partitions(host).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

Examples:

    $ moodss partitions --all
    $ moodss partitions --disks
    $ moodss partitions -r jdoe@foo.bar.com
    $ moodss partitions -a -r ssh://jdoe@foo.bar.com
    $ moodss partitions --remote foo.bar.com